Bug 319302 - After viewing an image and pressing "Up" or "Browse", gwenview scrolls up the folder view
Summary: After viewing an image and pressing "Up" or "Browse", gwenview scrolls up the...
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 4.10.2
Platform: Mageia RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL: http://www.shlomifish.org/Files/files...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 08:54 UTC by Shlomi Fish
Modified: 2013-06-20 08:36 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments
Tentative patch to fix the problem. (3.06 KB, patch)
2013-06-09 17:04 UTC, Shlomi Fish
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shlomi Fish 2013-05-04 08:54:04 UTC
As can be seen in the video here - http://www.shlomifish.org/Files/files/code/bugs/gwenview/gwenview-scroll-position-bug.ogv - when I browse a folder and click an image, and then return, then gwenview does not display the current scrolling position  . I will try to create a reproducing recipe soon.

Reproducible: Always

Steps to Reproduce:
1. Create a folder with a 100 sub-folders full of images.
2. Put 72 or so images there.
3. Open it with gwenview. 
4. Scroll downwards and double click an image.
5. Press the Browse button or the Up button.
Actual Results:  
It displays towards the top of the page.


Expected Results:  
It should display the position before the image.

I'm on x86-64 Mageia Linux 3 Cauldron.
Comment 1 Shlomi Fish 2013-05-04 09:12:07 UTC
Hi all,

OK, here is the reproducing archive:

http://www.shlomifish.org/Files/files/code/bugs/gwenview/gwenview-bug-319302-reproduce.tar.xz

1. Unpack it.
2. cd gwenview-bug-319302-reproduce
3. Type bash Create-Test.bash .
4. Type "gwenview ./TEST".

Regards,

-- Shlomi Fish
Comment 2 Benni Hill 2013-05-05 17:31:24 UTC
Thanks for you report. I can reproduce it.
Comment 3 Shlomi Fish 2013-05-05 18:19:23 UTC
(In reply to comment #2)
> Thanks for you report. I can reproduce it.

Thanks for trying to reproduce it (and succeeding). :-).
Comment 4 Shlomi Fish 2013-06-09 17:04:53 UTC
Created attachment 80412 [details]
Tentative patch to fix the problem.

This is a tentative patch to fix the problem, that can also be found as a series of three commits here:

https://github.com/shlomif/gwenview/tree/bug319302_fix

Comments would be welcome.

Regards,

-- Shlomi Fish
Comment 5 Shlomi Fish 2013-06-09 17:16:46 UTC
And it's now in the review board:

https://git.reviewboard.kde.org/r/110915/

Cheers,

-- Shlomi Fish
Comment 6 Aurelien Gateau 2013-06-20 08:36:36 UTC
Git commit 0b24ba7f7c1bb6ca162393e61014de32739d00f0 by Aurélien Gâteau.
Committed on 20/06/2013 at 08:30.
Pushed by gateau into branch 'master'.

When going from view to browse, ensure thumbnail view is scrolled to show the current item

REVIEW: 110968
FIXED-IN: 4.11.0


http://commits.kde.org/gwenview/0b24ba7f7c1bb6ca162393e61014de32739d00f0